Bug 1197068 - (CVE-2022-0891) VUL-0: CVE-2022-0891: tiff: heap buffer overflow in extractImageSection
(CVE-2022-0891)
VUL-0: CVE-2022-0891: tiff: heap buffer overflow in extractImageSection
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/325916/
CVSSv3.1:SUSE:CVE-2022-0891:7.8:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-03-14 10:39 UTC by Thomas Leroy
Modified: 2022-06-10 13:21 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Leroy 2022-03-14 10:39:02 UTC
CVE-2022-0891

A heap buffer overflow in ExtractImageSection function in tiffcrop.c in libtiff
library Version 4.3.0 allows attacker to trigger unsafe or out of bounds memory
access via crafted TIFF image file which could result into application crash,
potential information disclosure or any other context-dependent impact

Upstream fix:
https://gitlab.com/libtiff/libtiff/-/commit/232282fd8f9c21eefe8d2d2b96cdbbb172fe7b7c

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-0891
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-0891
https://gitlab.com/gitlab-org/cves/-/blob/master/2022/CVE-2022-0891.json
https://gitlab.com/freedesktop-sdk/mirrors/gitlab/libtiff/libtiff/-/commit/232282fd8f9c21eefe8d2d2b96cdbbb172fe7b7c
https://gitlab.com/libtiff/libtiff/-/issues/382
https://gitlab.com/libtiff/libtiff/-/issues/380
Comment 1 Thomas Leroy 2022-03-14 10:39:17 UTC
The poc triggers the abort on the following codestreams:
- SUSE:SLE-12:Update
- SUSE:SLE-15:Update
- openSUSE:Factory
Comment 2 Marcus Meissner 2022-04-11 07:14:27 UTC
can you please submit fixed packages?
Comment 5 Michael Vetter 2022-05-09 10:54:43 UTC
Factory: SR#975780
SLE12: SR#271714
SLE15: SR#271715
Comment 6 OBSbugzilla Bot 2022-05-09 12:40:08 UTC
This is an autogenerated message for OBS integration:
This bug (1197068) was mentioned in
https://build.opensuse.org/request/show/975780 Factory / tiff
Comment 7 Swamp Workflow Management 2022-05-16 13:41:33 UTC
SUSE-SU-2022:1667-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1195964,1195965,1197066,1197068,1197072,1197073,1197074,1197631
CVE References: CVE-2022-0561,CVE-2022-0562,CVE-2022-0865,CVE-2022-0891,CVE-2022-0908,CVE-2022-0909,CVE-2022-0924,CVE-2022-1056
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    tiff-4.0.9-44.48.1
SUSE Linux Enterprise Server 12-SP5 (src):    tiff-4.0.9-44.48.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2022-05-30 16:19:20 UTC
SUSE-SU-2022:1882-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1195964,1195965,1197066,1197068,1197072,1197073,1197074,1197631
CVE References: CVE-2022-0561,CVE-2022-0562,CVE-2022-0865,CVE-2022-0891,CVE-2022-0908,CVE-2022-0909,CVE-2022-0924,CVE-2022-1056
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    tiff-4.0.9-150000.45.8.1
openSUSE Leap 15.3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Server 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Retail Branch Server 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Manager Proxy 4.1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server for SAP 15 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Server 15-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP4 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise Micro 5.2 (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    tiff-4.0.9-150000.45.8.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    tiff-4.0.9-150000.45.8.1
SUSE Enterprise Storage 7 (src):    tiff-4.0.9-150000.45.8.1
SUSE Enterprise Storage 6 (src):    tiff-4.0.9-150000.45.8.1
SUSE CaaS Platform 4.0 (src):    tiff-4.0.9-150000.45.8.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Carlos López 2022-06-10 13:21:01 UTC
Done, closing.